import store from './store';
import filter from './filter';
import global from './global';

export default {
  /**
   *
   * @param {VueComponent} Vue
   */
  install(Vue) {
    Vue.mixin(global);
    Vue.mixin(store);

    Object.keys(filter).forEach((item) => {
      Vue.filter(item, filter[item]);
    });
  },
};
